CC=g++
LD=g++

LDFLAGS+=-ggdb
CFLAGS=-c -O2 -ggdb -Wall 



FIND_TRACK_INT=find_track_int
FIND_TRACK_FPGA=find_track_FPGA
FIND_TRACK_INT_O=$(FIND_TRACK_INT).o canvas.o legendre.o geometry.o
FIND_TRACK_FPGA_O=$(FIND_TRACK_FPGA).o canvas.o legendre_FPGA.o geometry.o

OBJS=  $(FIND_TRACK_INT_O) $(FIND_TRACK_FPGA_O)
PROGS= $(FIND_TRACK_INT) $(FIND_TRACK_FPGA)


all : $(PROGS)

.PHONEY: clean distclean


$(FIND_TRACK_INT) : $(FIND_TRACK_INT_O)
	$(LD) $(LDFLAGS) $^ -o $@

$(FIND_TRACK_FPGA) : $(FIND_TRACK_FPGA_O)
	$(LD) $(LDFLAGS) $^ -o $@


.cpp.o:
	$(CXX) $(CFLAGS) $< -o $@

clean :
	rm $(OBJS)

distclean : clean
	rm $(PROGS)
